CVE-2020-13790

NameCVE-2020-13790
Descriptionlibjpeg-turbo 2.0.4, and mozjpeg 4.0.0, has a heap-based buffer over-r ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2302-1, ELA-276-1
Debian Bugs962829

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libjpeg-turbo (PTS)jessie, jessie (lts)1:1.3.1-12+deb8u3fixed
stretch1:1.5.1-2vulnerable
stretch (security)1:1.5.1-2+deb9u1fixed
buster1:1.5.2-2+deb10u1fixed
bullseye, sid1:2.0.6-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libjpeg-turbosourcejessie1:1.3.1-12+deb8u3ELA-276-1
libjpeg-turbosourcestretch1:1.5.1-2+deb9u1DLA-2302-1
libjpeg-turbosourcebuster1:1.5.2-2+deb10u1
libjpeg-turbosource(unstable)1:2.0.5-1962829

Notes

[jessie] - libjpeg-turbo <ignored> (No package in Debian jessie uses the TurboJPEG API)
https://github.com/libjpeg-turbo/libjpeg-turbo/issues/433
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/1bfb0b5247f4fc8f6677639781ce468543490216 (1.5.x)
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/3de15e0c344d11d4b90f4a47136467053eb2d09a (2.0.x)

Search for package or bug name: Reporting problems